Name:           perl-Net-STOMP-Client
Version:        2.2
Release:        3%{?dist}
Summary:        STOMP object oriented client module
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Net-STOMP-Client/
Source0:        http://search.cpan.org/CPAN/authors/id/L/LC/LCONS/Net-STOMP-Client-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(IO::Socket::SSL)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Messaging::Message)
BuildRequires:  perl(Test::Pod)
BuildRequires:  perl(Test::Pod::Coverage)

%if 0%{?el6} 
BuildRequires:  perl(Time::HiRes)
%endif
Requires:       perl(IO::Socket::SSL)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This module provides an object oriented client interface to interact with
servers supporting STOMP (Streaming Text Orientated Messaging Protocol). It
supports the major features of messaging brokers: SSL, asynchronous I/O,
receipts and transactions.

%prep
%setup -q -n Net-STOMP-Client-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Fri Aug 29 2014 Jitka Plesnikova <jplesnik@redhat.com> - 2.2-3
- Perl 5.20 rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Nov 28 2013 Massimo Paladin <massimo.paladin@gmail.com> - 2.2-1
- New upstream 2.2, rhbz#1035761.

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sat Jul 27 2013 Petr Pisar <ppisar@redhat.com> - 2.1-2
- Perl 5.18 rebuild

* Thu Jun 13 2013 Massimo Paladin <massimo.paladin@gmail.com> - 2.1-1
- New upstream 2.1, rhbz#973910.

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Tue Jan 15 2013 Massimo Paladin <massimo.paladin@gmail.com> - 2.0-1
- New upstream 2.0, rhbz#893464.

* Mon Aug 6 2012 Massimo Paladin <massimo.paladin@gmail.com> - 1.8-1
- New upstream 1.8, rhbz#867297.

* Mon Aug 6 2012 Steve Traylen <steve.traylen@cern.ch> - 1.7-1
- New upstream 1.7, rhbz#837746.

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jun 16 2012 Petr Pisar <ppisar@redhat.com> - 1.5-2
- Perl 5.16 rebuild

* Fri Apr 20 2012 Steve Traylen <steve.traylen@cern.ch> - 1.5-1
- New upstream 1.5, rhbz#811862

* Wed Feb 1 2012 Steve Traylen <steve.traylen@cern.ch> - 1.4-1
- New upstream 1.4, rhbz#785732
- Add BR Messaging::Message, Test::Pod and Test::Pod::Coverage to
  execute new tests.

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Nov 17 2011 Steve Traylen <steve.traylen@cern.ch> - 1.2-1
- New upstream 1.2

* Wed Jul 20 2011 Petr Sabata <contyk@redhat.com> - 1.0-2
- Perl mass rebuild

* Tue May 10 2011 Steve Traylen <steve.traylen@cern.ch> - 1.0-1
- New upstream 1.0

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Jan 10 2011 Steve Traylen <steve.traylen@cern.ch> - 0.9.5-2
- Add BR perl(Time::HiRes) on EPEL6.

* Mon Jan 10 2011 Steve Traylen <steve.traylen@cern.ch> - 0.9.5-1
- New upstream 0.9.5

* Tue Dec 21 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.9.2-3
- 661697 rebuild for fixing problems with vendorach/lib

* Tue Aug 24 2010 Adam Tkac <atkac redhat com> - 0.9.2-2
- rebuild

* Tue Jun 08 2010 Steve Traylen <steve.traylen@cern.ch> - 0.9.2-1
- New upstream 0.9.2.

* Tue May 04 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.9-2
- Mass rebuild with perl-5.12.0

* Mon Mar 29 2010 Steve Traylen <steve.traylen@cern.ch> - 0.9-1
- New upstream 0.9
* Tue Mar 09 2010 Steve Traylen <steve.traylen@cern.ch> - 0.8-2
- Bump for first EPEL/F release

* Tue Mar 02 2010 Steve Traylen <steve.traylen@cern.ch> 0.8-1
- Specfile autogenerated by cpanspec 1.78.
